#include "vba_help.h"
#include <qpushbutton.h>
#include <qmessagebox.h>
#include <qtextedit.h>
#include <qprocess.h>

vba_help::vba_help ( QString vba_path, QWidget* parent,  const char* name, WFlags fl ) : vba_help_parent ( parent, name, fl ) {
	close_b->setDefault(true);

	proc = new QProcess (this);
	proc->addArgument(vba_path);
	// proc->setCommunication(QProcess::DupStderr);
	connect( proc, SIGNAL(readyReadStdout()), this, SLOT(readFromStdOut()) );
	connect( proc, SIGNAL(readyReadStderr()), this, SLOT(readFromStdErr()) );

	if (!proc->start()) {
		QMessageBox::warning(this, "VisualBoyAdvance Launch Error", "There was an error executing VisualBoyAdvance", "OK");
	}
}

void vba_help::readFromStdOut() {
	while (proc->canReadLineStdout()) {
		vba_textedit->append(proc->readLineStdout() + QString("\n"));
	}
}

void vba_help::readFromStdErr() {
	while (proc->canReadLineStderr()) {
		vba_textedit->append(proc->readLineStderr() + QString("\n"));
	}
}

